/************************************************************
 **
 ** pf_expr.h : pfile expression declarations
 **
 ** Copyright (c) 2004-2005, Kyle A. York
 ** All rights reserved
 **
 ************************************************************/
#ifndef pf_expr_h__
#define pf_expr_h__

#include "pfile.h"
#include "expr.h"

variable_def_t pfile_variable_def_promotion_get_default(pfile_t *pf,
    operator_t op, value_t val1, value_t val2);

result_t pfile_expr_push(pfile_t *pf, expr_t **stk, value_t val,
    operator_t op);

void pfile_cmd_op_add(pfile_t *pf,
  operator_t op, value_t *pdst, value_t val1, value_t val2);

variable_def_t pfile_variable_def_promotion_get(pfile_t *pf,
    operator_t op, value_t val1, value_t val2);
#endif /* pf_expr_h__ */

